<!-- Copied from doxygen 1.8.14 -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>icL: icL::toolkit::session Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxy_style.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">icL Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceicL.html">icL</a></li><li class="navelem"><a class="el" href="namespaceicL_1_1toolkit.html">toolkit</a></li><li class="navelem"><a class="el" href="namespaceicL_1_1toolkit_1_1session.html">session</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">icL::toolkit::session Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a6600a6cc217b932324958b45a7d6d680"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680">Actions</a> { <br />
&#160;&#160;<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680a113f87d7ec754bc33a04552c8b8b9a72">Rename</a> = 0, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680ad91058e006c59413c0dd6fa5c917f99b">Delete</a> = 1, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680a4581a8def407007e77c91a449cae0d15">NewLib</a> = 0, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680a4581a8def407007e77c91a449cae0d15">NewLib</a> = 0, 
<br />
&#160;&#160;<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680adbff23682448b77d690b82037089ce35">NewResource</a> = 1, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680ad91058e006c59413c0dd6fa5c917f99b">Delete</a> = 1, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680adbff23682448b77d690b82037089ce35">NewResource</a> = 1, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680a113f87d7ec754bc33a04552c8b8b9a72">Rename</a> = 0, 
<br />
&#160;&#160;<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680a10391c319903fd685899d999cb0bbd43">MakeLib</a> = 1
<br />
 }</td></tr>
<tr class="separator:a6600a6cc217b932324958b45a7d6d680"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6600a6cc217b932324958b45a7d6d680"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680">Actions</a> { <br />
&#160;&#160;<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680a113f87d7ec754bc33a04552c8b8b9a72">Rename</a> = 0, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680ad91058e006c59413c0dd6fa5c917f99b">Delete</a> = 1, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680a4581a8def407007e77c91a449cae0d15">NewLib</a> = 0, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680a4581a8def407007e77c91a449cae0d15">NewLib</a> = 0, 
<br />
&#160;&#160;<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680adbff23682448b77d690b82037089ce35">NewResource</a> = 1, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680ad91058e006c59413c0dd6fa5c917f99b">Delete</a> = 1, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680adbff23682448b77d690b82037089ce35">NewResource</a> = 1, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680a113f87d7ec754bc33a04552c8b8b9a72">Rename</a> = 0, 
<br />
&#160;&#160;<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680a10391c319903fd685899d999cb0bbd43">MakeLib</a> = 1
<br />
 }</td></tr>
<tr class="separator:a6600a6cc217b932324958b45a7d6d680"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6600a6cc217b932324958b45a7d6d680"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680">Actions</a> { <br />
&#160;&#160;<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680a113f87d7ec754bc33a04552c8b8b9a72">Rename</a> = 0, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680ad91058e006c59413c0dd6fa5c917f99b">Delete</a> = 1, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680a4581a8def407007e77c91a449cae0d15">NewLib</a> = 0, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680a4581a8def407007e77c91a449cae0d15">NewLib</a> = 0, 
<br />
&#160;&#160;<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680adbff23682448b77d690b82037089ce35">NewResource</a> = 1, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680ad91058e006c59413c0dd6fa5c917f99b">Delete</a> = 1, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680adbff23682448b77d690b82037089ce35">NewResource</a> = 1, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680a113f87d7ec754bc33a04552c8b8b9a72">Rename</a> = 0, 
<br />
&#160;&#160;<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680a10391c319903fd685899d999cb0bbd43">MakeLib</a> = 1
<br />
 }</td></tr>
<tr class="separator:a6600a6cc217b932324958b45a7d6d680"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6600a6cc217b932324958b45a7d6d680"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680">Actions</a> { <br />
&#160;&#160;<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680a113f87d7ec754bc33a04552c8b8b9a72">Rename</a> = 0, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680ad91058e006c59413c0dd6fa5c917f99b">Delete</a> = 1, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680a4581a8def407007e77c91a449cae0d15">NewLib</a> = 0, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680a4581a8def407007e77c91a449cae0d15">NewLib</a> = 0, 
<br />
&#160;&#160;<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680adbff23682448b77d690b82037089ce35">NewResource</a> = 1, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680ad91058e006c59413c0dd6fa5c917f99b">Delete</a> = 1, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680adbff23682448b77d690b82037089ce35">NewResource</a> = 1, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680a113f87d7ec754bc33a04552c8b8b9a72">Rename</a> = 0, 
<br />
&#160;&#160;<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680a10391c319903fd685899d999cb0bbd43">MakeLib</a> = 1
<br />
 }</td></tr>
<tr class="separator:a6600a6cc217b932324958b45a7d6d680"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6600a6cc217b932324958b45a7d6d680"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680">Actions</a> { <br />
&#160;&#160;<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680a113f87d7ec754bc33a04552c8b8b9a72">Rename</a> = 0, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680ad91058e006c59413c0dd6fa5c917f99b">Delete</a> = 1, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680a4581a8def407007e77c91a449cae0d15">NewLib</a> = 0, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680a4581a8def407007e77c91a449cae0d15">NewLib</a> = 0, 
<br />
&#160;&#160;<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680adbff23682448b77d690b82037089ce35">NewResource</a> = 1, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680ad91058e006c59413c0dd6fa5c917f99b">Delete</a> = 1, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680adbff23682448b77d690b82037089ce35">NewResource</a> = 1, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680a113f87d7ec754bc33a04552c8b8b9a72">Rename</a> = 0, 
<br />
&#160;&#160;<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680a10391c319903fd685899d999cb0bbd43">MakeLib</a> = 1
<br />
 }</td></tr>
<tr class="separator:a6600a6cc217b932324958b45a7d6d680"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6600a6cc217b932324958b45a7d6d680"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680">Actions</a> { <br />
&#160;&#160;<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680a113f87d7ec754bc33a04552c8b8b9a72">Rename</a> = 0, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680ad91058e006c59413c0dd6fa5c917f99b">Delete</a> = 1, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680a4581a8def407007e77c91a449cae0d15">NewLib</a> = 0, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680a4581a8def407007e77c91a449cae0d15">NewLib</a> = 0, 
<br />
&#160;&#160;<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680adbff23682448b77d690b82037089ce35">NewResource</a> = 1, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680ad91058e006c59413c0dd6fa5c917f99b">Delete</a> = 1, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680adbff23682448b77d690b82037089ce35">NewResource</a> = 1, 
<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680a113f87d7ec754bc33a04552c8b8b9a72">Rename</a> = 0, 
<br />
&#160;&#160;<a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680a10391c319903fd685899d999cb0bbd43">MakeLib</a> = 1
<br />
 }</td></tr>
<tr class="separator:a6600a6cc217b932324958b45a7d6d680"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="a6600a6cc217b932324958b45a7d6d680"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6600a6cc217b932324958b45a7d6d680">&#9670;&nbsp;</a></span>Actions <span class="overload">[1/6]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680">icL::toolkit::session::Actions</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680a113f87d7ec754bc33a04552c8b8b9a72"></a>Rename&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680ad91058e006c59413c0dd6fa5c917f99b"></a>Delete&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680a4581a8def407007e77c91a449cae0d15"></a>NewLib&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680a4581a8def407007e77c91a449cae0d15"></a>NewLib&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680adbff23682448b77d690b82037089ce35"></a>NewResource&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680ad91058e006c59413c0dd6fa5c917f99b"></a>Delete&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680adbff23682448b77d690b82037089ce35"></a>NewResource&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680a113f87d7ec754bc33a04552c8b8b9a72"></a>Rename&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680a10391c319903fd685899d999cb0bbd43"></a>MakeLib&#160;</td><td class="fielddoc"></td></tr>
</table>

</div>
</div>
<a id="a6600a6cc217b932324958b45a7d6d680"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6600a6cc217b932324958b45a7d6d680">&#9670;&nbsp;</a></span>Actions <span class="overload">[2/6]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680">icL::toolkit::session::Actions</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680a113f87d7ec754bc33a04552c8b8b9a72"></a>Rename&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680ad91058e006c59413c0dd6fa5c917f99b"></a>Delete&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680a4581a8def407007e77c91a449cae0d15"></a>NewLib&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680a4581a8def407007e77c91a449cae0d15"></a>NewLib&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680adbff23682448b77d690b82037089ce35"></a>NewResource&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680ad91058e006c59413c0dd6fa5c917f99b"></a>Delete&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680adbff23682448b77d690b82037089ce35"></a>NewResource&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680a113f87d7ec754bc33a04552c8b8b9a72"></a>Rename&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680a10391c319903fd685899d999cb0bbd43"></a>MakeLib&#160;</td><td class="fielddoc"></td></tr>
</table>

</div>
</div>
<a id="a6600a6cc217b932324958b45a7d6d680"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6600a6cc217b932324958b45a7d6d680">&#9670;&nbsp;</a></span>Actions <span class="overload">[3/6]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680">icL::toolkit::session::Actions</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680a113f87d7ec754bc33a04552c8b8b9a72"></a>Rename&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680ad91058e006c59413c0dd6fa5c917f99b"></a>Delete&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680a4581a8def407007e77c91a449cae0d15"></a>NewLib&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680a4581a8def407007e77c91a449cae0d15"></a>NewLib&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680adbff23682448b77d690b82037089ce35"></a>NewResource&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680ad91058e006c59413c0dd6fa5c917f99b"></a>Delete&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680adbff23682448b77d690b82037089ce35"></a>NewResource&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680a113f87d7ec754bc33a04552c8b8b9a72"></a>Rename&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680a10391c319903fd685899d999cb0bbd43"></a>MakeLib&#160;</td><td class="fielddoc"></td></tr>
</table>

</div>
</div>
<a id="a6600a6cc217b932324958b45a7d6d680"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6600a6cc217b932324958b45a7d6d680">&#9670;&nbsp;</a></span>Actions <span class="overload">[4/6]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680">icL::toolkit::session::Actions</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680a113f87d7ec754bc33a04552c8b8b9a72"></a>Rename&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680ad91058e006c59413c0dd6fa5c917f99b"></a>Delete&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680a4581a8def407007e77c91a449cae0d15"></a>NewLib&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680a4581a8def407007e77c91a449cae0d15"></a>NewLib&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680adbff23682448b77d690b82037089ce35"></a>NewResource&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680ad91058e006c59413c0dd6fa5c917f99b"></a>Delete&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680adbff23682448b77d690b82037089ce35"></a>NewResource&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680a113f87d7ec754bc33a04552c8b8b9a72"></a>Rename&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680a10391c319903fd685899d999cb0bbd43"></a>MakeLib&#160;</td><td class="fielddoc"></td></tr>
</table>

</div>
</div>
<a id="a6600a6cc217b932324958b45a7d6d680"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6600a6cc217b932324958b45a7d6d680">&#9670;&nbsp;</a></span>Actions <span class="overload">[5/6]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680">icL::toolkit::session::Actions</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680a113f87d7ec754bc33a04552c8b8b9a72"></a>Rename&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680ad91058e006c59413c0dd6fa5c917f99b"></a>Delete&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680a4581a8def407007e77c91a449cae0d15"></a>NewLib&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680a4581a8def407007e77c91a449cae0d15"></a>NewLib&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680adbff23682448b77d690b82037089ce35"></a>NewResource&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680ad91058e006c59413c0dd6fa5c917f99b"></a>Delete&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680adbff23682448b77d690b82037089ce35"></a>NewResource&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680a113f87d7ec754bc33a04552c8b8b9a72"></a>Rename&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680a10391c319903fd685899d999cb0bbd43"></a>MakeLib&#160;</td><td class="fielddoc"></td></tr>
</table>

</div>
</div>
<a id="a6600a6cc217b932324958b45a7d6d680"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6600a6cc217b932324958b45a7d6d680">&#9670;&nbsp;</a></span>Actions <span class="overload">[6/6]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="namespaceicL_1_1toolkit_1_1session.html#a6600a6cc217b932324958b45a7d6d680">icL::toolkit::session::Actions</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680a113f87d7ec754bc33a04552c8b8b9a72"></a>Rename&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680ad91058e006c59413c0dd6fa5c917f99b"></a>Delete&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680a4581a8def407007e77c91a449cae0d15"></a>NewLib&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680a4581a8def407007e77c91a449cae0d15"></a>NewLib&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680adbff23682448b77d690b82037089ce35"></a>NewResource&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680ad91058e006c59413c0dd6fa5c917f99b"></a>Delete&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680adbff23682448b77d690b82037089ce35"></a>NewResource&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680a113f87d7ec754bc33a04552c8b8b9a72"></a>Rename&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a6600a6cc217b932324958b45a7d6d680a10391c319903fd685899d999cb0bbd43"></a>MakeLib&#160;</td><td class="fielddoc"></td></tr>
</table>

</div>
</div>
</div><!-- contents -->
<!-- Copied from doxygen 1.8.14 -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
